@ECHO OFF
CLS
IF %1x == x SET x=C:
IF NOT %1x == x SET x=%1
ECHO AnsibleIndex ProInstallation to drive %x%
ECHO 
ECHO 
IF NOT EXIST AIX.EXE GOTO ERROR
ECHO This installation will copy AIX Pro to the directory %x%\ANSIBLE,
ECHO (creating it if it doesn't exist), and arrange things so that you
ECHO can always enter AIX Pro with the command: AIX [Return]
ECHO 
ECHO To halt installation now, press Ctrl and Break together, and then Y.
ECHO (The Break key is usually at top right and is also labelled Pause.)
IF NOT EXIST %x%\*.* ECHO (Are you sure "%x%" is a valid drive identifier?)
ECHO 
PAUSE
ECHO Now copying.
IF NOT EXIST %x%\ANSIBLE\*.* MD %x%\ANSIBLE
COPY *.* %x%\ANSIBLE /V >NUL
ECHO @ECHO OFF >%x%\AIX.BAT
ECHO %x% >>%x%\AIX.BAT
ECHO CD \ANSIBLE>>%x%\AIX.BAT
ECHO AIX %%1>>%x%\AIX.BAT
ECHO %x%>>%x%\AIX.BAT
ECHO CD \>>%x%\AIX.BAT
GOTO FINISH
:ERROR
ECHO Can't find the Ansible programs on this disk.  You should change
ECHO to the Ansible floppy disk before running INSTALe.g. with A:
ECHO if the Ansible Information disk is in drive A:.  Try again?
GOTO ALLDONE
:FINISH
ECHO.
%x%
CD \
ECHO Finished.
ECHO.
:ALLDONE
SET x=
